Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #213

Crossfade plugin doesn't work on manual song change
November 16, 2012 12:20 - Vasily Merzlyakov

Status: Closed Start date: November 16, 2012
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/crossfade Estimated time: 0.00 hour

Target version: 3.6

Affects version: 3.3.2

Description

Crossfade works OK on automatic song change but on manual song change it skips crossfading as if crossfade plugin is off.

History

#1 - November 18, 2012 20:35 - John Lindgren

- Tracker changed from Bug to Feature

This is intended behavior. Converting to a feature request.

#2 - November 20, 2012 10:15 - Vasily Merzlyakov

This is intended behavior.

Oh, that's weird, | was sure it was a bug. What about a second parameter for manual song change then (with 0 means no crossfading)?

#3 - November 22, 2012 17:21 - John Lindgren

The problem is that right now a manual song change causes a full reset of the output stream, and there's currently no way for the crossfade plugin to
prevent it. So while | agree that this would be a nice feature to have, it'll take some thought about how best to implement it.

#4 - November 22, 2012 18:33 - Artem S. Tashkinov

Please, make it an option if you're going to implement it.

If I manually jump between tracks | don't want any fade-in/fade-out.

#5 - November 23, 2012 15:42 - Vasily Merzlyakov

Artem, yes, | was talking about an option, just like in many other players: separate numbers for automatic and manual song change.

John, OK, | hope you'll find a solution.

#6 - December 13, 2013 09:11 - Valombre Delanhuyi
Hi,

as i organise my newyear party i'll use my linux box with audacious and i am big fan of crossfade plugin.

I'll check for this feature because it's a must have when you manage different playlists, changing manually from a playlist to another kill the crossfade
same as changing song manually.

Activate this option with checkbox would be great for parties !
Thanks for your attention on this one.

PS : 10 seconds crossfade max is just enough but more (20) would be great .. need another whishlist ?

#7 - October 05, 2014 04:24 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.6

- % Done changed from 0 to 100

I've implemented the following changes for 3.6:

- Added an option to crossfade on seek or manual song change, with a separate overlap setting.

- Increased the maximum overlap for automatic song change to 15 seconds.

- Added a new silence removal plugin which is useful for crossfading, but can also be used on its own.

https://github.com/audacious-media-player/audacious/commit/5a541cf4ab5cfc22cc0c4d2bfob6802650ad92a1

https://github.com/audacious-media-player/audacious-plugins/commit/6d26f6092a8372dab215adc6a02e975cf3f66ff3
https://github.com/audacious-media-player/audacious-plugins/commit/6cébfe634dddca34c410e1d2373111f39f35203c
